curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요."",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "요청 매개변수가 유효하지 않습니다",
"ok": false
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인하세요"
}
}
{
"error": {
"code": 433,
"message": "계정 잔액이 부족합니다. 충전 후 다시 시도하세요"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도하세요"
}
}
HappyHorse 1.1
HappyHorse 1.1 다중 참고 이미지 비디오 생성
- 1-9장의 순서가 있는 참고 이미지를 사용하여 비디오를 생성합니다
- 720p / 1080p, 9가지 가로세로 비율 및 3-15초 길이를 지원합니다
- 프롬프트에서 [Image 1], [Image 2]를 사용하여 해당 참고 이미지를 지정합니다
- 비동기 처리 모드, 후속 조회에 사용할 작업 ID를 반환합니다
POST
/
api
/
openapi
/
submit
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요."",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "요청 매개변수가 유효하지 않습니다",
"ok": false
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인하세요"
}
}
{
"error": {
"code": 433,
"message": "계정 잔액이 부족합니다. 충전 후 다시 시도하세요"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도하세요"
}
}
HappyHorse 1.1의 AIReiter 내 모델 이름은
happyhorse_1_1이며, 현재 다중 참조 이미지 비디오 생성 워크플로우를 제공합니다.Authorizations
string
필수
모든 API는 인증을 위해 Bearer Token을 사용해야 합니다.API Key 관리 페이지에 접속하여 API Key를 가져오고, 요청 헤더에 다음을 추가하세요:
Authorization: Bearer YOUR_API_KEY
Body
string
필수
모델 이름으로,
happyhorse_1_1을 고정으로 사용합니다.object
필수
모델 매개변수 객체입니다.
표시 params 객체 속성
표시 params 객체 속성
string
필수
비디오 내용, 동작 및 시각 스타일 설명입니다.프롬프트에서
[Image 1], [Image 2] 등의 표식을 사용하여 image_url 배열의 동일한 위치에 있는 이미지를 가리키고, 이미지의 구체적인 객체를 설명하세요. 예: [Image 1]에서 빨간색 치파오를 입은 여자가 [Image 2]의 접이식 부채를 엽니다.최대 2500개의 중국어 문자 또는 5000개의 비중국어 문자를 지원하며, 초과분은 잘립니다.string | string[]
필수
참고 이미지 URL로, 1-9장을 지원하며 이미지 순서는 프롬프트의
[Image N] 표식과 일치해야 합니다.이미지 요구 사항:- JPEG, JPG, PNG, WEBP 지원
- 짧은 변의 길이는 400px 이상이어야 하며, 720p 이상 해상도 사용을 권장합니다
- 단일 이미지는 10MB를 초과할 수 없습니다
- URL은 공용 네트워크에서 직접 접근 가능해야 합니다
string
기본값:"1080p"
출력 해상도:
720p 또는 1080p.string
기본값:"16:9"
출력 비디오의 화면 비율입니다.지원:
16:9, 9:16, 3:4, 4:3, 4:5, 5:4, 1:1, 9:21, 21:9.integer
기본값:"5"
출력 비디오 길이로, 단위는 초입니다. 3-15 사이의 정수를 지원합니다.
integer
기본값:"0"
랜덤 시드로, 범위는 0-2147483647입니다.
0을 전달하거나 생략하면 랜덤 시드를 사용합니다.string
필수
호출 측에서 생성한 고유 작업 ID로, 이후 이 ID를 사용해 작업 상태와 결과를 조회합니다.영문자, 숫자, 밑줄 및 하이픈만 지원하며, 길이는 1-64자입니다.
Response
string
호출 측 작업 ID로, 결과 조회에 사용할 수 있습니다.
string
초기 상태이며, 일반적으로
pending입니다.string
생성 시간, ISO 8601 형식입니다.
Query Task
작업 제출이 성공한 후, 동일한out_task_id를 통해 상태를 조회합니다. 작업 상태에는 pending, processing, completed, failed가 포함됩니다. 완료되면 output 배열에 비디오 결과가 포함됩니다.
curl --request POST \
--url https://aireiter.com/api/openapi/query \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"out_task_id": "happyhorse_1_1_task_123456"
}'
Request Example
curl --request POST \
--url https://aireiter.com/api/openapi/submit \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}'
import requests
url = "https://aireiter.com/api/openapi/submit"
payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.json())
const url = "https://aireiter.com/api/openapi/submit";
const payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
};
const headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(payload)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error('Error:', error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://aireiter.com/api/openapi/submit"
payload := map[string]interface{}{
"model": "happyhorse_1_1",
"params": map[string]interface{}{
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": []interface{}{
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg",
},
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42,
},
"out_task_id": "happyhorse_1_1_r2v_123456",
}
jsonData, _ := json.Marshal(payload)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(jsonData))
req.Header.Set("Authorization", "Bearer <token>")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.net.URI;
public class Main {
public static void main(String[] args) throws Exception {
String url = "https://aireiter.com/api/openapi/submit";
String payload = """
{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}
""";
HttpClient client = HttpClient.newHttpClient();
HttpRequest request = HttpRequest.newBuilder()
.uri(URI.create(url))
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.POST(HttpRequest.BodyPublishers.ofString(payload))
.build();
HttpResponse<String> response = client.send(request,
HttpResponse.BodyHandlers.ofString());
System.out.println(response.body());
}
}
<?php
$url = "https://aireiter.com/api/openapi/submit";
$payload = [
"model" => "happyhorse_1_1",
"params" => [
"prompt" => "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url" => ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution" => "1080p",
"aspect_ratio" => "16:9",
"video_length" => 5,
"seed" => 42
],
"out_task_id" => "happyhorse_1_1_r2v_123456"
];
$ch = curl_init($url);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_POST, true);
curl_setopt($ch, CURLOPT_POSTFIELDS, json_encode($payload));
curl_setopt($ch, CURLOPT_HTTPHEADER, [
"Authorization: Bearer <token>",
"Content-Type: application/json"
]);
$response = curl_exec($ch);
curl_close($ch);
echo $response;
?>
require 'net/http'
require 'json'
require 'uri'
url = URI("https://aireiter.com/api/openapi/submit")
payload = {
model: "happyhorse_1_1",
params: {
prompt: "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url: ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
resolution: "1080p",
aspect_ratio: "16:9",
video_length: 5,
seed: 42
},
out_task_id: "happyhorse_1_1_r2v_123456"
}
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Post.new(url)
request["Authorization"] = "Bearer <token>"
request["Content-Type"] = "application/json"
request.body = payload.to_json
response = http.request(request)
puts response.body
import Foundation
let url = URL(string: "https://aireiter.com/api/openapi/submit")!
let payload: [String: Any] = [
"model": "happyhorse_1_1",
"params": [
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
],
"out_task_id": "happyhorse_1_1_r2v_123456"
]
var request = URLRequest(url: url)
request.httpMethod = "POST"
request.setValue("Bearer <token>", forHTTPHeaderField: "Authorization")
request.setValue("application/json", forHTTPHeaderField: "Content-Type")
request.httpBody = try? JSONSerialization.data(withJSONObject: payload)
let task = URLSession.shared.dataTask(with: request) { data, response, error in
if let error = error {
print("Error: \(error)")
return
}
if let data = data, let responseString = String(data: data, encoding: .utf8) {
print(responseString)
}
}
task.resume()
using System;
using System.Net.Http;
using System.Text;
using System.Threading.Tasks;
class Program
{
static async Task Main(string[] args)
{
var url = "https://aireiter.com/api/openapi/submit";
var payload = @"
{
""model"": ""happyhorse_1_1"",
""params"": {
""prompt"": ""[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요."",
""image_url"": [
""https://example.com/character.jpg"",
""https://example.com/scene.jpg"",
""https://example.com/prop.jpg""
],
""resolution"": ""1080p"",
""aspect_ratio"": ""16:9"",
""video_length"": 5,
""seed"": 42
},
""out_task_id"": ""happyhorse_1_1_r2v_123456""
}";
using var client = new HttpClient();
client.DefaultRequestHeaders.Add("Authorization", "Bearer <token>");
var content = new StringContent(payload, Encoding.UTF8, "application/json");
var response = await client.PostAsync(url, content);
var result = await response.Content.ReadAsStringAsync();
Console.WriteLine(result);
}
}
#include <stdio.h>
#include <curl/curl.h>
int main(void) {
CURL *curl;
CURLcode res;
curl_global_init(CURL_GLOBAL_DEFAULT);
curl = curl_easy_init();
if(curl) {
const char *url = "https://aireiter.com/api/openapi/submit";
const char *payload = "{\"model\":\"happyhorse_1_1\",\"params\":{\"prompt\":\"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.\",\"image_url\":[\"https://example.com/character.jpg\",\"https://example.com/scene.jpg\",\"https://example.com/prop.jpg\"],\"resolution\":\"1080p\",\"aspect_ratio\":\"16:9\",\"video_length\":5,\"seed\":42},\"out_task_id\":\"happyhorse_1_1_r2v_123456\"}";
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Bearer <token>");
headers = curl_slist_append(headers, "Content-Type: application/json");
curl_easy_setopt(curl, CURLOPT_URL, url);
curl_easy_setopt(curl, CURLOPT_POSTFIELDS, payload);
curl_easy_setopt(curl, CURLOPT_HTTPHEADER, headers);
res = curl_easy_perform(curl);
if(res != CURLE_OK) {
fprintf(stderr, "curl_easy_perform() failed: %s\n",
curl_easy_strerror(res));
}
curl_slist_free_all(headers);
curl_easy_cleanup(curl);
}
curl_global_cleanup();
return 0;
}
#import <Foundation/Foundation.h>
int main(int argc, const char * argv[]) {
@autoreleasepool {
NSURL *url = [NSURL URLWithString:@"https://aireiter.com/api/openapi/submit"];
NSDictionary *payload = @{
@"model": @"happyhorse_1_1",
@"params": @{
@"prompt": @"[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
@"image_url": @[
@"https://example.com/character.jpg",
@"https://example.com/scene.jpg",
@"https://example.com/prop.jpg"
],
@"resolution": @"1080p",
@"aspect_ratio": @"16:9",
@"video_length": @5,
@"seed": @42
},
@"out_task_id": @"happyhorse_1_1_r2v_123456"
};
NSError *error;
NSData *jsonData = [NSJSONSerialization dataWithJSONObject:payload
options:0
error:&error];
NSMutableURLRequest *request = [NSMutableURLRequest requestWithURL:url];
[request setHTTPMethod:@"POST"];
[request setValue:@"Bearer <token>" forHTTPHeaderField:@"Authorization"];
[request setValue:@"application/json" forHTTPHeaderField:@"Content-Type"];
[request setHTTPBody:jsonData];
NSURLSessionDataTask *task = [[NSURLSession sharedSession]
dataTaskWithRequest:request
completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
if (error) {
NSLog(@"Error: %@", error);
return;
}
NSString *result = [[NSString alloc] initWithData:data
encoding:NSUTF8StringEncoding];
NSLog(@"%@", result);
}];
[task resume];
[[NSRunLoop mainRunLoop] run];
}
return 0;
}
(* Requires cohttp and yojson libraries *)
open Lwt
open Cohttp
open Cohttp_lwt_unix
let url = "https://aireiter.com/api/openapi/submit"
let payload = {|{
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": [
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
}|}
let () =
let headers = Header.init ()
|> fun h -> Header.add h "Authorization" "Bearer <token>"
|> fun h -> Header.add h "Content-Type" "application/json"
in
let body = Cohttp_lwt.Body.of_string payload in
let response = Client.post ~headers ~body (Uri.of_string url) >>= fun (resp, body) ->
body |> Cohttp_lwt.Body.to_string >|= fun body_str ->
print_endline body_str
in
Lwt_main.run response
import 'dart:convert';
import 'package:http/http.dart' as http;
void main() async {
final url = Uri.parse('https://aireiter.com/api/openapi/submit');
final payload = {
"model": "happyhorse_1_1",
"params": {
"prompt": "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
"image_url": ["https://example.com/character.jpg", "https://example.com/scene.jpg", "https://example.com/prop.jpg"],
"resolution": "1080p",
"aspect_ratio": "16:9",
"video_length": 5,
"seed": 42
},
"out_task_id": "happyhorse_1_1_r2v_123456"
};
final response = await http.post(
url,
headers: {
'Authorization': 'Bearer <token>',
'Content-Type': 'application/json'
},
body: jsonEncode(payload),
);
print(response.body);
}
library(httr)
library(jsonlite)
url <- "https://aireiter.com/api/openapi/submit"
payload <- list(
model = "happyhorse_1_1",
params = list(
prompt = "[Image 1]의 여성이 [Image 2]의 장면으로 들어간 뒤, [Image 3]의 소품을 집어 듭니다. 부드러운 3D 카툰 스타일과 자연스러운 동작을 유지하세요.",
image_url = list(
"https://example.com/character.jpg",
"https://example.com/scene.jpg",
"https://example.com/prop.jpg"
),
resolution = "1080p",
aspect_ratio = "16:9",
video_length = 5,
seed = 42
),
out_task_id = "happyhorse_1_1_r2v_123456"
)
response <- POST(
url,
add_headers(
Authorization = "Bearer <token>",
`Content-Type` = "application/json"
),
body = toJSON(payload, auto_unbox = TRUE),
encode = "raw"
)
cat(content(response, "text"))
{
"statusCode": 200,
"message": "",
"data": {
"out_task_id": "happyhorse_1_1_r2v_123456",
"status": "pending",
"estimated_credits": 100,
"created_at": "2025-12-22T06:03:28.242Z"
}
}
{
"statusCode": 400,
"message": "요청 매개변수가 유효하지 않습니다",
"ok": false
}
{
"error": {
"code": 401,
"message": "인증에 실패했습니다. API 키를 확인하세요"
}
}
{
"error": {
"code": 433,
"message": "계정 잔액이 부족합니다. 충전 후 다시 시도하세요"
}
}
{
"error": {
"code": 500,
"message": "서버 내부 오류입니다. 잠시 후 다시 시도하세요"
}
}
이미지 배열의 순서가 프롬프트의
[Image N]과 일치하지 않으면 캐릭터, 소품 또는 장면이 혼동될 수 있습니다.